

function Main()

	if (Q_屏幕NPC组[6].任务变量 == 0) then  -- 如果[首饰商]的任务变量为0
	                系统:提示("<白>   要出城吗?郊外比较危险哦,注意安全!")
	                系统:选择("恩,谢谢提醒.@exit")
		
	elseif (Q_屏幕NPC组[6].任务变量 == 100) then  -- 如果[首饰商]的任务变量为100
		
		local 提示内容 = "<红>   " .. Q_主角.名称 .. "<白>, 看你急匆匆的有事吗?"
	
		系统:提示(提示内容)
		系统:选择("告诉她铁匠的邀请@铁匠的邀请")
		
	else 
		
		系统:提示("<白>   公子需要点什么?")
	      系统:选择("看看商店@看商店","离开@exit")
		
	end 





end


function  铁匠的邀请() 

	系统:提示("<白>   吃饭?我先考虑考虑.谢谢你来通知我.")
	系统:选择("不客气!那我先回去把你的意思转告他.@不客气")

end 


function  不客气() 

	系统:提示("<白>   好的!再见.")
	系统:选择("再见@exit")
	
	
	Q_屏幕NPC组[1].任务标志 = 2  -- [铁匠]的任务标志设置为可交.
	Q_屏幕NPC组[1].任务变量 = 3 -- [铁匠]的任务变量设置为2
	Q_屏幕NPC组[6].任务变量 = 0  -- 清楚[首饰商]的任务变量. 
	
	
	
	

end 


--------------------------------------------
Main()